/*
  Copyright (C) 2005 Dan Alcantara (dfalcantara@ucdavis.edu, http://wwwcsif.cs.ucdavis.edu/~alcantar)
  Based on the board game "Blokus" by Educational Insights, Inc.
  
  This program is free software; you can redistribute 
  it and/or modify it under the terms of the GNU General 
  Public License as published by the Free Software Foundation; 
  either version 2 of the License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful, but 
  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY 
  or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for 
  more details.
  
  You should have received a copy of the GNU General Public License along 
  with this program; if not, write to the Free Software Foundation, Inc., 
  59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
  
  Full license visible at http://www.opensource.org/licenses/gpl-license.php
*/


#ifndef HELP_H
#define HELP_H

#include <wx/wx.h>
#include <wx/listbook.h>
#include <wx/html/htmlwin.h>

class HelpDialog:public wxDialog
{
public:
  HelpDialog(const wxString &webpage, wxWindow *parent, wxWindowID id, const wxString &title):wxDialog(parent, id, title, wxDefaultPosition, wxDefaultSize, wxDEFAULT_DIALOG_STYLE | wxMAXIMIZE_BOX | wxRESIZE_BORDER)
  {
    wxBoxSizer *mainSizer = new wxBoxSizer(wxVERTICAL);
    htmlWindow = new wxHtmlWindow(this, -1, wxDefaultPosition, wxSize(600, 500));
    //htmlWindow->LoadFile(wxFileName(webpage));
    htmlWindow->AppendToPage(webpage);

    mainSizer->Add(htmlWindow, 1, wxEXPAND);    
    mainSizer->Fit(this);
    mainSizer->SetSizeHints(this);

    SetSizerAndFit(mainSizer);

    Layout();
    CenterOnScreen();
    ShowModal();
  }
  
protected:
  wxHtmlWindow *htmlWindow;
};


#endif
